org.jboss.resteasy.plugins.server.servlet

## Class HttpServletResponseHeaders

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.HttpServletResponseHeaders

- All Implemented Interfaces:
    Map<String,List<Object>>, MultivaluedMap<String,Object>

      public class HttpServletResponseHeaders
      extends Object
      implements MultivaluedMap<String,Object>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServletResponseHeaders(javax.servlet.http.HttpServletResponse response, ResteasyProviderFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(String key, Object value)` Add a value to the current list of values for the supplied key.
    `void` | `addAll(String key, List<Object> valueList)` Add all the values from the supplied value list to the current list of values for the supplied key.
    `void` | `addAll(String key, Object... newValues)` Add multiple values to the current list of values for the supplied key.
    `void` | `addFirst(String key, Object value)` Add a value to the first position in the current list of values for the supplied key.
    `protected void` | `addResponseHeader(String key, Object value)`
    `void` | `clear()`
    `boolean` | `containsKey(Object o)`
    `boolean` | `containsValue(Object o)`
    `Set<Map.Entry<String,List<Object>>>` | `entrySet()`
    `boolean` | `equals(Object o)`
    `boolean` | `equalsIgnoreValueOrder(MultivaluedMap<String,Object> otherMap)` Compare the specified map with this map for equality modulo the order of values for each key.
    `List<Object>` | `get(Object o)`
    `Object` | `getFirst(String key)` A shortcut to get the first value of the supplied key.
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `Set<String>` | `keySet()`
    `List<Object>` | `put(String s, List<Object> objs)`
    `void` | `putAll(Map<? extends String,? extends List<Object>> map)`
    `void` | `putSingle(String key, Object value)` Set the key's value to be a one item list consisting of the supplied value.
    `List<Object>` | `remove(Object o)`
    `int` | `size()`
    `Collection<List<Object>>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpServletResponseHeaders

          public HttpServletResponseHeaders(javax.servlet.http.HttpServletResponse response,
                                    ResteasyProviderFactory factory)

  - ### Method Detail

    - #### addAll

          public void addAll(String key,
                    Object... newValues)

      Description copied from interface: `MultivaluedMap`
      Add multiple values to the current list of values for the supplied key. If the supplied array of new values is empty, method returns immediately. Method throws a `NullPointerException` if the supplied array of values is `null`.
      Specified by:
        `addAll` in interface `MultivaluedMap<String,Object>`
      Parameters:
        `key` - the key.
        `newValues` - the values to be added.

    - #### addAll

          public void addAll(String key,
                    List<Object> valueList)

      Description copied from interface: `MultivaluedMap`
      Add all the values from the supplied value list to the current list of values for the supplied key. If the supplied value list is empty, method returns immediately. Method throws a `NullPointerException` if the supplied array of values is `null`.
      Specified by:
        `addAll` in interface `MultivaluedMap<String,Object>`
      Parameters:
        `key` - the key.
        `valueList` - the list of values to be added.

    - #### addFirst

          public void addFirst(String key,
                      Object value)

      Description copied from interface: `MultivaluedMap`
      Add a value to the first position in the current list of values for the supplied key.
      Specified by:
        `addFirst` in interface `MultivaluedMap<String,Object>`
      Parameters:
        `key` - the key
        `value` - the value to be added.

    - #### putSingle

          public void putSingle(String key,
                       Object value)

      Description copied from interface: `MultivaluedMap`
      Set the key's value to be a one item list consisting of the supplied value. Any existing values will be replaced.
      Specified by:
        `putSingle` in interface `MultivaluedMap<String,Object>`
      Parameters:
        `key` - the key
        `value` - the single value of the key

    - #### add

          public void add(String key,
                 Object value)

      Description copied from interface: `MultivaluedMap`
      Add a value to the current list of values for the supplied key.
      Specified by:
        `add` in interface `MultivaluedMap<String,Object>`
      Parameters:
        `key` - the key
        `value` - the value to be added.

    - #### addResponseHeader

          protected void addResponseHeader(String key,
                               Object value)

    - #### getFirst

          public Object getFirst(String key)

      Description copied from interface: `MultivaluedMap`
      A shortcut to get the first value of the supplied key.
      Specified by:
        `getFirst` in interface `MultivaluedMap<String,Object>`
      Parameters:
        `key` - the key
      Returns:
        the first value for the specified key or null if the key is not in the map.

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<String,List<Object>>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<String,List<Object>>`

    - #### containsKey

          public boolean containsKey(Object o)

      Specified by:
        `containsKey` in interface `Map<String,List<Object>>`

    - #### containsValue

          public boolean containsValue(Object o)

      Specified by:
        `containsValue` in interface `Map<String,List<Object>>`

    - #### get

          public List<Object> get(Object o)

      Specified by:
        `get` in interface `Map<String,List<Object>>`

    - #### put

          public List<Object> put(String s,
                         List<Object> objs)

      Specified by:
        `put` in interface `Map<String,List<Object>>`

    - #### remove

          public List<Object> remove(Object o)

      Specified by:
        `remove` in interface `Map<String,List<Object>>`

    - #### putAll

          public void putAll(Map<? extends String,? extends List<Object>> map)

      Specified by:
        `putAll` in interface `Map<String,List<Object>>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,List<Object>>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,List<Object>>`

    - #### values

          public Collection<List<Object>> values()

      Specified by:
        `values` in interface `Map<String,List<Object>>`

    - #### entrySet

          public Set<Map.Entry<String,List<Object>>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,List<Object>>`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Map<String,List<Object>>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map<String,List<Object>>`
      Overrides:
        `hashCode` in class `Object`

    - #### equalsIgnoreValueOrder

          public boolean equalsIgnoreValueOrder(MultivaluedMap<String,Object> otherMap)

      Description copied from interface: `MultivaluedMap`
      Compare the specified map with this map for equality modulo the order of values for each key. Specifically, the values associated with each key are compared as if they were ordered lists.
      Specified by:
        `equalsIgnoreValueOrder` in interface `MultivaluedMap<String,Object>`
      Parameters:
        `otherMap` - map to be compared to this one.
      Returns:
        true if the maps are equal modulo value ordering.

Copyright © 2014. All Rights Reserved.